with GNATCOM.Dispinterface;

package MSHTML.IDOMProcessingInstruction_Interface is

   type IDOMProcessingInstruction_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IDOMProcessingInstruction_Type);

   function Pointer (This : IDOMProcessingInstruction_Type)
     return Pointer_To_IDOMProcessingInstruction;

   procedure Attach (This    : in out IDOMProcessingInstruction_Type;
                     Pointer : in     Pointer_To_IDOMProcessingInstruction);

   function Get_target
     (This : IDOMProcessingInstruction_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_data
     (This : IDOMProcessingInstruction_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_data
     (This : IDOMProcessingInstruction_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IDOMProcessingInstruction_Interface;

